<?php

namespace App\Http\Livewire;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class AgenceFormMod extends ModalComponent
{
    public $agenceId;

    public function agenceInfoUpdate() {

        if (($this->agenceId)) {

            $dataAgences = DB::table('rh_directors')
                ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
                ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
                ->where('AGENCE_ID', '=', $this->agenceId)
                ->get();

            return $dataAgences;

        }

    }

    public function userInfoUpdate() {

        $dataUsers = DB::table('rh_employees')
            ->orderBy('EMPLOYEE_NOM')
            ->get();

        return $dataUsers;

    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.agence-form-mod');
    }
}
