<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRhAfibTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rh_afib', function (Blueprint $table) {
            $table->id('AFIB_ID');
            $table->dateTime('AFIB_DEMANDEINSCRIPTION')->nullable();
            $table->dateTime('AFIB_VALIDATIONINSCRIPTION')->nullable();
            $table->string('AFIB_ETAT')->nullable();
            $table->string('AFIB_NUMERO')->nullable();
            $table->string('AFIB_FKEMPLOYEEID')->nullable();
            $table->foreign('AFIB_FKEMPLOYEEID')->references('EMPLOYEE_ID')->on('rh_employees');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rh_afib');
    }
}
